This URL creates a new cluster. If the creation of the cluster is successful, it returns the details of the newly created cluster in the response.
Resource URL
POST /cluster
Request Parameters
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Name of the cluster | string | Yes |
| A short description of the cluster | string | Yes |
| Shared key to be used by the Sensors that will be registered with the cluster | string | Yes |
| Source of traffic (GWLB or Probe) | string | Yes |
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the creation of cluster was successful. Value is set to Value is set to | string |
| Message if the creation of the cluster is successful | string |
| Error message if the creation of the cluster is not successful | string |
| Domain in which the cluster is created | string |
| Cluster object. The object has the cluster Id of the new cluster. | object |
Details of data object.
Field Name | Description | Data Type |
|---|---|---|
| Cluster Id. The Id is specific to the Virtual IPS solution. | number |
| Name of the cluster | string |
| Description of the cluster | string |
| Shared key to be used by the Sensors that will be registered with this cluster | string |
| Domain Id | number |
| Device cluster Id | number |
| Last update time of the cluster | number |
| Last user who modified the cluster | string |
| Number of Sensors in the cluster. Initially is set to 0 for a new cluster. | number |
| Sensor software version | string |
| Vids Id | number |
Example
Request
POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/cluster
Payload
{
"name": "testcluster",
"description": "long cluster",
"sharedSensorKey": "abc123",
"trafficSource":"GWLB",
}
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": {
"id": 3,
"name": "testcluster",
"description": "long cluster",
"sharedSensorKey": "7a4a7b462c2f5a454e792118591d5c5c",
"subscriberId": 0,
"deviceClusterId": 1003,
"updateDateTime": 1556170533000,
"updateUserName": "admin",
"memberCount": 0,
"memberSensorSW": null,
"vidsId": 106
}
}